<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
  <meta charset="UTF-8">
  <title>History</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4">
  <main class="bd-main-xxl">
    <div class="row">
      <div class="col-md-12">
        <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
          <span th:text="${'History Employee : '+ karyawan.getNamaKaryawan()}"></span>
        </div>
      </div>
    </div>
    <br>
    <div class="row">
      <div class="col-md-12">
        <table class="table table-hover table-striped small">
          <thead class="table-dark p-2" style="--bs-table-bg:#15408d;">
          <tr>
            <th width="20px" class="p-2">No</th>
            <th width="10%">Date</th>
            <th width="30%">Budget</th>
            <th>Deskripsi</th>
            <th width="5%">Amount</th>
            <th width="5%">Attachement</th>
          </tr>
          </thead>
          <tbody th:each="dataHistory,row : ${listHistory}" class="bg-white">
          <tr>
            <td align="right" th:text="${(row.index + 1) + (listHistory.number * listHistory.size)}"></td>
            <td th:text="${#temporals.format(dataHistory.tanggalPengajuan,'dd-MMM-yyyy hh:mm:ss a')}"></td>
            <td><span th:text="${dataHistory.getAnggaranDetail().getAnggaran().getNamaAnggaran()}"></span>
              <br>
                <span th:text="${dataHistory.getAnggaranDetail().getDeskripsi()}"></span></td>
            <td th:text="${dataHistory.getDeskripsiBiaya()}"></td>
            <td align="right" th:text="${'Rp'+#numbers.formatDecimal(dataHistory.getJumlah(), 0, 'POINT', 2, 'COMMA')}"></td>
            <td>
              <a th:if="${dataHistory.getFile()}== 'default.jpg'" class="btn btn-danger" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;">
                No Attachment
              </a>
              <a th:if="${dataHistory.getFile()}!= 'default.jpg'" class="btn btn-primary" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataHistory.getId()})}" target="_blank">
                View Attachment
              </a>
            </td>
          </tr>
          </tbody>
        </table>
      </div>
      <nav aria-label="Page navigation example">
        <ul class="pagination" sd:pagination="full">
        </ul>
      </nav>
    </div>
  </main>


</main>

</body>
</html>